﻿using MedicalDatabaseContracts;
using MedicalDatabaseContracts.Models;
using MedicalDatabaseContracts.SearchModels;
using MedicalDatabaseContracts.ViewModels;
using Microsoft.Extensions.Logging;

namespace MedicalView.Doctors
{
    public class FormDoctors : FormAbstractList<Doctor, DoctorViewModel, DoctorSearchModel, FormDoctor>
    {
        public FormDoctors(
            ILogger<FormDoctors> logger,
            ILogic<Doctor, DoctorViewModel, DoctorSearchModel> logic) : base(logger, logic)
        {
            Text = "Список врачей";
        }
    }
}
